#pragma once

typedef struct {
	double y1;
	double y2;
}vector;
vector* find_initials(double A, double alpha_0, double alpha_1);
double* solve(vector* initials, double betta_0, double betta_1, double B, double a, double b, vector(*F)(double, vector), vector(*F_0)(double, vector),int n);
double** solve_runge(vector* initials, double betta_0, double betta_1, double B, double a, double b, vector(*F)(double, vector), vector(*F_0)(double, vector), double eps, int* n_, int* len_h);